from selenium import webdriver
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.by import By

import datetime

from PIL import Image, ImageDraw, ImageFont

driver = webdriver.Firefox()
driver.get('https://olympics.com/en/paris-2024/medals')
data = driver.find_element(By.ID, '__NEXT_DATA__')

props = data.get_attribute('innerHTML')

with open('data.json', 'w') as f:
  f.write(props)


dt = datetime.datetime.now(datetime.timezone.utc) 
utc_time = dt.replace(tzinfo=datetime.timezone.utc) 

img=Image.new("RGBA", (1200,50),(50,30,50))
draw = ImageDraw.Draw(img)
font = ImageFont.load_default(size=40)
draw.text((0, 0),f'Last Scraped UTC: {utc_time}',(0,255,0), font=font)
draw = ImageDraw.Draw(img)
img.save("scrapetimestamp.png")
